





#ifndef XPATHNODETREENODES_H
#define XPATHNODETREENODES_H

#include "xasset.h"

class XPathNodeTreeNodes : public XAsset
{
public:
    explicit XPathNodeTreeNodes();

    void ParseData(QDataStream *aStream) override;

    int GetNodeCount() const;
    void SetNodeCount(int count);

    unsigned short* GetNodes() const;
    void SetNodes(unsigned short* nodes, int count);

private:
    int mNodeCount = 0;
    unsigned short* mNodes = nullptr; // We'll need to manage memory for this array
};

#endif // XPATHNODETREENODES_H





